Class | FFI::Pointer
In: | lib/ffi/pointer.rb
Parent: | Object

### Methods

read_array_of_int read_array_of_long read_array_of_pointer read_array_of_type read_float read_int read_long read_long_long read_pointer read_string read_string_length read_string_to_null size write_array_of_int write_array_of_long write_array_of_pointer write_array_of_type write_float write_int write_long write_long_long write_pointer write_string write_string_length

### Constants

SIZE | = | Platform::ADDRESS_SIZE / 8

### Public Class methods

size()

Return the size of a pointer on the current platform, in bytes

### Public Instance methods

read_array_of_int(length)
read_array_of_long(length)
read_array_of_pointer(length)
read_array_of_type(type, reader, length)
read_float()
read_int()

Read a C int from the memory pointed to.

read_long()

Read a C long from the memory pointed to.

read_long_long()

Read a C long long from the memory pointed to.

read_pointer()
read_string(len=nil)
read_string_length(len)
read_string_to_null()
write_array_of_int(ary)
write_array_of_long(ary)
write_array_of_pointer(ary)
write_array_of_type(type, writer, ary)
write_float(obj)
write_int(obj)

Write `obj` as a C int at the memory pointed to.

write_long(obj)

Write `obj` as a C long at the memory pointed to.

write_long_long(obj)

Write `obj` as a C long long at the memory pointed to.

write_pointer(ptr)
write_string(str, len=nil)
write_string_length(str, len)

[Validate]